Adoptable Cookbooks List

Looking for a cookbook to adopt? You can now see a list of cookbooks available for adoption!
List of Adoptable Cookbooks

Supermarket Belongs to the Community

Supermarket belongs to the community. While Chef has the responsibility to keep it running and be stewards of its functionality, what it does and how it works is driven by the community. The chef/supermarket repository will continue to be where development of the Supermarket application takes place. Come be part of shaping the direction of Supermarket by opening issues and pull requests or by joining us on the Chef Mailing List.

Select Badges

Select Supported Platforms

RSS

codenamephp_gui (4) Versions 1.2.0

Cookbook to install linux guis like cinammon or gnome

Berkshelf
Policyfile
Knife
cookbook 'codenamephp_gui', '~> 1.2.0'
cookbook 'codenamephp_gui', '~> 1.2.0', :supermarket
knife supermarket install codenamephp_gui
knife supermarket download codenamephp_gui
README
Dependencies
Changelog
Quality 50%

Chef Cookbook Gui

Build Status

Cookbook to install linux guis like cinnamon, gnome, ...

The default cookbook is a No-Op. To install a gui, add the respective cookbook to your runlist.

Requirements

Supported Platforms

  • Debian Stretch

Suported GUIs

  • cinnamon
  • xfce

Chef

  • Chef 13.0+

Cookbook Depdendencies

  • apt

Usage

Add the cookbook to your Berksfile:

cookbook 'codenamephp_gui'

Add the gui cookbook to your runlist, e.g. in a role:

{
  "name": "default",
  "chef_type": "role",
  "json_class": "Chef::Role",
  "run_list": [
      "recipe[codenamephp_gui::cinnamon]"
  ]
}

Note that the default recipe is a No-Op, so you need to add the gui you want

Attributes

Cinnamon

  • ['codenamephp_gui']['cinnamon']['package_name'] - The package name that is used to install cinnamon, defaults to 'cinnamon-core' to install the minimal version of cinnamon

xfce

  • ['codenamephp_gui']['xfce']['package_name'] - The package name that is used to install xfce, defaults to 'xfce' to install the minimal version of xfce

Dependent cookbooks

apt >= 0.0.0

Contingent cookbooks

There are no cookbooks that are contingent upon this one.

Change Log

1.2.0 (2018-06-13)

Full Changelog

Implemented enhancements:

  • Create task to generate changelog #12

Fixed bugs:

  • xfce config in /etc/skel is missing folder #9

v1.1.1 (2018-06-07)

Full Changelog

Implemented enhancements:

  • Add reboot to recipies #4

Fixed bugs:

  • config folder is created with the wrong permissions #8

Merged pull requests:

v1.1.0 (2018-06-06)

Full Changelog

Implemented enhancements:

  • Add default config for xfce #5

Merged pull requests:

v1.0.0 (2018-06-04)

Implemented enhancements:

  • Update structure and move to travis ci #2
  • Add support for xfce #1

Merged pull requests:

* This Change Log was automatically generated by github_changelog_generator

Collaborator Number Metric
            

1.2.0 failed this metric

Failure: Cookbook has 0 collaborators. A cookbook must have at least 2 collaborators to pass this metric.

Contributing File Metric
            

1.2.0 failed this metric

Failure: To pass this metric, your cookbook metadata must include a source url, the source url must be in the form of https://github.com/user/repo, and your repo must contain a CONTRIBUTING.md file

Foodcritic Metric
            

1.2.0 passed this metric

No Binaries Metric
            

1.2.0 passed this metric

Publish Metric
            

1.2.0 passed this metric

Supported Platforms Metric
            

1.2.0 passed this metric

Testing File Metric
            

1.2.0 failed this metric

Failure: To pass this metric, your cookbook metadata must include a source url, the source url must be in the form of https://github.com/user/repo, and your repo must contain a TESTING.md file

Version Tag Metric
            

1.2.0 failed this metric

Failure: To pass this metric, your cookbook metadata must include a source url, the source url must be in the form of https://github.com/user/repo, and your repo must include a tag that matches this cookbook version number